## org.red5.classloading
Class QuartzClassLoadHelper

    java.lang.Object
      org.red5.classloading.QuartzClassLoadHelper

All Implemented Interfaces:
  ClassLoadHelper

    public class QuartzClassLoadHelper

extends Object
implements ClassLoadHelper

A `ClassLoadHelper` that determines the correct class loader to use for a scheduler.

Author:
  Paul Gregoire (mondain@gmail.com)
See Also:
  `ClassLoadHelper`

Constructor Summary
`QuartzClassLoadHelper()`

Method Summary
`ClassLoader` `getClassLoader()` Enable sharing of the class-loader with 3rd party (e.g.
`URL` `getResource(String name)` Finds a resource with a given name.
`InputStream` `getResourceAsStream(String name)` Finds a resource with a given name.
`void` `initialize()` Called to give the ClassLoadHelper a chance to initialize itself, including the opportunity to "steal" the class loader off of the calling thread, which is the thread that is initializing Quartz.
`Class<?>` `loadClass(String name)` Return the class with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuartzClassLoadHelper

    public QuartzClassLoadHelper()

Method Detail

### initialize

    public void initialize()

  Called to give the ClassLoadHelper a chance to initialize itself, including the opportunity to "steal" the class loader off of the calling thread, which is the thread that is initializing Quartz.

  Specified by:
    `initialize` in interface `ClassLoadHelper`

### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

  Return the class with the given name.

  Specified by:
    `loadClass` in interface `ClassLoadHelper`
  Throws:
    `ClassNotFoundException`

### getResource

    public URL getResource(String name)

  Finds a resource with a given name. This method returns null if no resource with this name is found.

  Specified by:
    `getResource` in interface `ClassLoadHelper`
  Parameters:
    `name` - name of the desired resource
  Returns:
    a java.net.URL object

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

  Finds a resource with a given name. This method returns null if no resource with this name is found.

  Specified by:
    `getResourceAsStream` in interface `ClassLoadHelper`
  Parameters:
    `name` - name of the desired resource
  Returns:
    a java.io.InputStream object

### getClassLoader

    public ClassLoader getClassLoader()

  Enable sharing of the class-loader with 3rd party (e.g. digester).

  Specified by:
    `getClassLoader` in interface `ClassLoadHelper`
  Returns:
    the class-loader user be the helper.

Copyright © 2006-2010 The Red5 Project